<?php

if ( ! defined( 'ABSPATH' ) ) {
    die( 'No direct access.' );
}

/**
 * Main theme file
 */
class MetaSlider_Theme_Socialplay extends MetaSlider_Theme_Base
{
    /**
     * Theme ID
     *
     * @var string
     */
    public $id = 'social-play';

    /**
     * Theme Version
     *
     * @var string
     */
    public $version = '1.0.0';

    /**
     * Parameters
     *
     * @var string
     */
    public $slider_parameters = array();

    public function __construct()
    {
        parent::__construct( $this->id, $this->version );
    }

    /**
     * Enqueues theme specific styles and scripts
     */
    public function enqueue_assets()
    {
        wp_enqueue_style( 'metaslider_socialplay_theme_styles', METASLIDERPRO_THEMES_URL . $this->id . '/v' . $this->version . '/style.css', array( 'metaslider-public' ), $this->version );
    }
}

if ( ! isset( MetaSlider_Theme_Base::$themes['social-play'] ) ) {
    new MetaSlider_Theme_Socialplay();
}